## londiste 3.3.0

=== Makefile ===

all:

clean:
	rm -rf build *.egg-info */__pycache__ tests/*.pyc
	rm -rf debian/python-* debian/files debian/*.log
	rm -rf debian/*.substvars debian/*.debhelper debian/*-stamp
	rm -rf .pybuild MANIFEST

deb:
	debuild -us -uc -b

xclean: clean
	rm -rf .tox dist

=== debian/changelog ===
londiste (3.3.0-2) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Feb 2019 11:23:44 +0100

londiste (3.3.0-1) unstable; urgency=medium

  * Initial Debian upload.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Feb 2018 15:27:34 +0100

=== debian/control ===
Source: londiste
Section: python
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Standards-Version: 4.3.0
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3-all,
 python3-setuptools,
X-Python3-Version: >= 3.5
Vcs-Git: https://salsa.debian.org/postgresql/londiste.git
Vcs-Browser: https://salsa.debian.org/postgresql/londiste
Homepage: https://github.com/pgq/londiste

Package: python3-londiste
Provides: londiste3
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Conflicts: skytools3
Replaces: skytools3
Description: Database replication for PostgreSQL based on PgQ
 Londiste is a PostgreSQL database replication tool written in Python, using
 PgQ as event transport. It is part of the Skytools toolkit.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME = londiste

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/pgq/londiste/releases .*/v(.*).tar.gz

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg18.04+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

londiste (3.4.1-2) unstable; urgency=medium

  * Update watch file to look at git tarballs only.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 13:50:26 +0200

londiste (3.4.1-1) unstable; urgency=medium

  * New upstream version.
  * Depend on python3-yaml.
  * DH 13.
  * Remove X-Python3-Version field with old version.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Aug 2020 13:17:09 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,10 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-setuptools,
-X-Python3-Version: >= 3.5
 Vcs-Git: https://salsa.debian.org/postgresql/londiste.git
 Vcs-Browser: https://salsa.debian.org/postgresql/londiste
 Homepage: https://github.com/pgq/londiste
@@ -17,7 +16,10 @@
 Package: python3-londiste
 Provides: londiste3
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ python3-yaml,
 Conflicts: skytools3
 Replaces: skytools3
 Description: Database replication for PostgreSQL based on PgQ

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg20.04+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 11),
+ debhelper (>= 12),
  dh-python,
  python3-all,
  python3-setuptools,

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg21.10+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg21.10+1) impish-pgdg; urgency=medium

  * Rebuild for impish-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg22.04+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg90+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg90+1) stretch-pgdg; urgency=medium

  * Rebuild for stretch-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 10.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 10),
  dh-python,
  python3-all,
  python3-setuptools,

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg100+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg100+1) buster-pgdg; urgency=medium

  * Rebuild for buster-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg110+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg110+1) bullseye-pgdg; urgency=medium

  * Rebuild for bullseye-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg120+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

## londiste 3.4.1~20220624.1435-2~1.git215cd99.pgdg+1

=== debian/changelog ===
londiste (3.4.1~20220624.1435-2~1.git215cd99.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 04 Aug 2020 13:50:26 +0200

## londiste 3.4.1

=== Makefile ===
--- 
+++ 
@@ -12,3 +12,10 @@
 
 xclean: clean
 	rm -rf .tox dist
+
+sdist:
+	python3 setup.py sdist
+
+upload:
+	twine upload dist/*.gz
+

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Standards-Version: 4.3.0
 Build-Depends:
- debhelper (>= 10),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,

=== debian/rules ===
--- 
+++ 
@@ -4,3 +4,4 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+

=== debian/watch ===
version=4
https://github.com/pgq/londiste/releases .*/v([^/]*).tar.gz

## londiste 3.11

=== Makefile ===

VERSION = $(shell python3 setup.py --version)
RXVERSION = $(shell python3 setup.py --version | sed 's/\./[.]/g')
TAG = v$(VERSION)
NEWS = NEWS.rst

all: lint test

test:
	tox -e py38

lint:
	tox -e lint

xlint:
	tox -e xlint

clean:
	rm -rf build *.egg-info */__pycache__ tests/*.pyc
	rm -rf .pybuild MANIFEST

xclean: clean
	rm -rf .tox dist

sdist:
	python3 setup.py sdist

checkver:
	@echo "Checking version"
	@grep -Eq '^\w+ v$(RXVERSION)\b' $(NEWS) \
	|| { echo "Version '$(VERSION)' not in $(NEWS)"; exit 1; }
	@echo "Checking git repo"
	@git diff --stat --exit-code || { echo "ERROR: Unclean repo"; exit 1; }

release: checkver
	git tag $(TAG)
	git push github $(TAG):$(TAG)

unrelease:
	git push github :$(TAG)
	git tag -d $(TAG)

shownote:
	awk -v VER="v$(VERSION)" -f etc/note.awk $(NEWS) \
	| pandoc -f rst -t gfm --wrap=none

=== debian/changelog ===
londiste (3.11-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 03 Jan 2023 11:59:46 +0100

londiste (3.11-1) unstable; urgency=medium

  * New upstream version 3.11
    * Add dependency of python3-skytools, needed for tests.
  * debian/watch: use tags, not releases.
  * Add debian/gbp.conf.
  * Add myself to Uploaders (Closes: #992939).
    * Remove Christoph Berg from Uploaders.
  * Update standards version to 4.6.2; no changes necessary.
  * Remove unnecessary lintian override.

 -- Tomasz Rybak <serpent@debian.org>  Tue, 03 Jan 2023 11:59:46 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: python
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
-Standards-Version: 4.3.0
+Uploaders: Tomasz Rybak <serpent@debian.org>
+Standards-Version: 4.6.2
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
+ python3-skytools (>= 3.7.0) <!nocheck>,
 Vcs-Git: https://salsa.debian.org/postgresql/londiste.git
 Vcs-Browser: https://salsa.debian.org/postgresql/londiste
 Homepage: https://github.com/pgq/londiste

## londiste 3.12

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,10 @@
 	tox -e py38
 
 lint:
-	tox -e lint
+	tox -q -e lint
 
 xlint:
-	tox -e xlint
+	tox -q -e xlint
 
 clean:
 	rm -rf build *.egg-info */__pycache__ tests/*.pyc
@@ -23,7 +23,7 @@
 	rm -rf .tox dist
 
 sdist:
-	python3 setup.py sdist
+	python3 setup.py -q sdist
 
 checkver:
 	@echo "Checking version"
@@ -44,3 +44,70 @@
 	awk -v VER="v$(VERSION)" -f etc/note.awk $(NEWS) \
 	| pandoc -f rst -t gfm --wrap=none
 
+#
+# docker tests
+#
+
+pull-python:
+	docker pull python:3.11-slim-bookworm
+	docker pull python:3.10-slim-bookworm
+	docker pull python:3.9-slim-bookworm
+	docker pull python:3.8-slim-bookworm
+	docker pull python:3.7-slim-bookworm
+
+pull-postgres:
+	docker pull postgres:15-bookworm
+	docker pull postgres:14-bookworm
+	docker pull postgres:13-bookworm
+	docker pull postgres:12-bookworm
+	docker pull postgres:11-bookworm
+
+prune:
+	docker image prune -f
+	docker image ls
+
+#
+# test with combined image
+#
+
+COMPOSE_COMBO = docker compose -f etc/compose-combo.yml --project-directory .
+
+test-pg15-build:
+	$(COMPOSE_COMBO) build test-pg15
+
+test-pg15-shell:
+	$(COMPOSE_COMBO) run --entrypoint bash test-pg15
+
+test-pg10 test-pg11 test-pg12 test-pg13 test-pg14 test-pg15:
+	$(COMPOSE_COMBO) up --build $@
+
+test-all:
+	$(COMPOSE_COMBO) up --build
+
+#
+# does not work yet
+#
+
+COMPOSE_SPLIT = docker compose -f etc/compose-split.yml --project-directory .
+
+dtest-db-build:
+	$(COMPOSE_SPLIT) build db
+
+dtest-db-shell:
+	$(COMPOSE_SPLIT) run --entrypoint bash db
+
+dtest-db-up:
+	$(COMPOSE_SPLIT) up --build db
+
+dtest-worker-build:
+	$(COMPOSE_SPLIT) build test
+
+dtest-worker-shell:
+	$(COMPOSE_SPLIT) run --entrypoint bash test
+
+dtest-worker-up:
+	$(COMPOSE_SPLIT) up --build test
+
+dtest-split-run:
+	$(COMPOSE_SPLIT) up
+

=== etc/requirements.txt ===
setuptools>=67
wheel>=0.41
build>=0.10
flit-core>=3.6,<4
pip>=23

psycopg2-binary>=2.9
pyyaml>=6.0,<7

skytools==3.9.2
pgq==3.8

=== debian/changelog ===
londiste (3.12-1) unstable; urgency=medium

  * New upstream version 3.12
  * PEP-517: add pybuild-plugin-pyproject to build dependencies.
  * Add python-pgq build-dependency, needed for tests.
  * Fix number of closed RFH bug.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 29 Nov 2023 22:09:48 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,9 @@
  dh-python,
  python3-all,
  python3-setuptools,
+ pybuild-plugin-pyproject,
  python3-skytools (>= 3.7.0) <!nocheck>,
+ python3-pgq <!nocheck>,
 Vcs-Git: https://salsa.debian.org/postgresql/londiste.git
 Vcs-Browser: https://salsa.debian.org/postgresql/londiste
 Homepage: https://github.com/pgq/londiste
